Class Http1Config.Builder
java.lang.Object
io.helidon.http.HttpConfig.BuilderBase<Http1Config.Builder, Http1Config>
io.helidon.webserver.http1.Http1Config.BuilderBase<Http1Config.Builder, Http1Config>
io.helidon.webserver.http1.Http1Config.Builder
- All Implemented Interfaces:
Prototype.Builder<Http1Config.Builder, Http1Config>, Builder<Http1Config.Builder, Http1Config>, ConfigBuilderSupport.ConfiguredBuilder<Http1Config.Builder, Http1Config>, Supplier<Http1Config>
- Enclosing interface:
Http1Config
public static class Http1Config.Builder
extends Http1Config.BuilderBase<Http1Config.Builder, Http1Config>
implements Builder<Http1Config.Builder, Http1Config>
Fluent API builder for
Http1Config.-
Nested Class Summary
Nested classes/interfaces inherited from class Http1Config.BuilderBase
Http1Config.BuilderBase.Http1ConfigImplModifier and TypeClassDescriptionprotected static classGenerated implementation of the prototype, can be extended by descendant prototype implementations.Nested classes/interfaces inherited from class HttpConfig.BuilderBase
HttpConfig.BuilderBase.HttpConfigImplModifier and TypeClassDescriptionprotected static classGenerated implementation of the prototype, can be extended by descendant prototype implementations. -
Method Summary
Modifier and TypeMethodDescriptionbuild()Create an instance from this builder.Create an instance of the prototype.Methods inherited from class Http1Config.BuilderBase
addReceiveListener, addReceiveListeners, addSendListener, addSendListeners, altSvc, altSvc, altSvc, altSvc, clearAltSvc, clearReceiveListeners, clearSendListeners, compositeReceiveListener, compositeReceiveListener, compositeSendListener, compositeSendListener, config, continueImmediately, continueImmediately, from, from, maxHeadersSize, maxHeadersSize, maxPrologueLength, maxPrologueLength, name, name, preBuildPrototype, receiveListeners, receiveListeners, receiveLog, receiveLog, requestedUriDiscovery, requestedUriDiscovery, requestedUriDiscovery, requestedUriDiscovery, sendListeners, sendListeners, sendLog, sendLog, toString, validatePath, validatePath, validatePrologue, validatePrologue, validatePrototypeModifier and TypeMethodDescriptionaddReceiveListener(Http1ConnectionListener receiveListener) Connection receive event listeners for HTTP/1.1.addReceiveListeners(List<? extends Http1ConnectionListener> receiveListeners) Connection receive event listeners for HTTP/1.1.addSendListener(Http1ConnectionListener sendListener) Connection send event listeners for HTTP/1.1.addSendListeners(List<? extends Http1ConnectionListener> sendListeners) Connection send event listeners for HTTP/1.1.altSvc()ExplicitAlt-Svcadvertisement.ExplicitAlt-Svcadvertisement.altSvc(AltSvcConfig altSvc) ExplicitAlt-Svcadvertisement.altSvc(Consumer<AltSvcConfig.Builder> consumer) ExplicitAlt-Svcadvertisement.Clear existing value of altSvc.Clear all receiveListeners.Clear all sendListeners.A single receive listener, this value is computed.compositeReceiveListener(Http1ConnectionListener compositeReceiveListener) A single receive listener, this value is computed.A single send listener, this value is computed.compositeSendListener(Http1ConnectionListener compositeSendListener) A single send listener, this value is computed.Update builder from configuration (node of this type).booleanWhen true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.continueImmediately(boolean continueImmediately) When true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.from(Http1Config prototype) Update this builder from an existing prototype instance.from(Http1Config.BuilderBase<?, ?> builder) Update this builder from an existing prototype builder instance.intMaximum size of received headers in bytes, which must be greater than0.maxHeadersSize(int maxHeadersSize) Maximum size of received headers in bytes, which must be greater than0.intMaximal size of received HTTP prologue (GET /path HTTP/1.1).maxPrologueLength(int maxPrologueLength) Maximal size of received HTTP prologue (GET /path HTTP/1.1).name()Name of this configuration, in most cases the same asHttp1Config.type().Name of this configuration, in most cases the same asHttp1Config.type().protected voidHandles providers and decorators.Connection receive event listeners for HTTP/1.1.receiveListeners(List<? extends Http1ConnectionListener> receiveListeners) Connection receive event listeners for HTTP/1.1.booleanDeprecated, for removal: This API element is subject to removal in a future version.receiveLog(boolean receiveLog) Deprecated, for removal: This API element is subject to removal in a future version.Requested URI discovery settings.requestedUriDiscovery(RequestedUriDiscoveryContext requestedUriDiscovery) Requested URI discovery settings.Requested URI discovery settings.requestedUriDiscovery(Supplier<? extends RequestedUriDiscoveryContext> supplier) Requested URI discovery settings.Connection send event listeners for HTTP/1.1.sendListeners(List<? extends Http1ConnectionListener> sendListeners) Connection send event listeners for HTTP/1.1.booleansendLog()Deprecated, for removal: This API element is subject to removal in a future version.sendLog(boolean sendLog) Deprecated, for removal: This API element is subject to removal in a future version.toString()booleanWhether to validate path characters and HTTP/1.1 request-target forms.validatePath(boolean validatePath) Whether to validate path characters and HTTP/1.1 request-target forms.booleanDisables query and fragment syntax validation when set tofalse; intended only for closed systems receiving trusted, valid request targets, as behavior for invalid input is unspecified.validatePrologue(boolean validatePrologue) Disables query and fragment syntax validation when set tofalse; intended only for closed systems receiving trusted, valid request targets, as behavior for invalid input is unspecified.protected voidValidates required properties.Methods inherited from class HttpConfig.BuilderBase
config, from, from, log, log, log, log, maxBufferedEntitySize, maxBufferedEntitySize, validateRequestHeaders, validateRequestHeaders, validateResponseHeaders, validateResponseHeadersModifier and TypeMethodDescriptionconfig()Configuration used to configure this instance.from(HttpConfig prototype) Update this builder from an existing prototype instance.from(HttpConfig.BuilderBase<?, ?> builder) Update this builder from an existing prototype builder instance.log()HTTP Log configuration.log(HttpLogConfig log) HTTP Log configuration.log(Consumer<HttpLogConfig.Builder> consumer) HTTP Log configuration.log(Supplier<? extends HttpLogConfig> supplier) HTTP Log configuration.Configure the maximum size allowed for an entity that can be explicitly buffered by the application by callingio.helidon.http.media.ReadableEntity.buffer().maxBufferedEntitySize(Size maxBufferedEntitySize) Configure the maximum size allowed for an entity that can be explicitly buffered by the application by callingio.helidon.http.media.ReadableEntity.buffer().booleanWhether to validate request headers.validateRequestHeaders(boolean validateRequestHeaders) Whether to validate request headers.booleanWhether to validate response headers.validateResponseHeaders(boolean validateResponseHeaders) Whether to validate response headers.Methods inherited from class Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface Builder
get, identity, updateModifier and TypeMethodDescriptiondefault Http1Configget()default Http1Config.Builderidentity()Instance of this builder as the correct type.default Http1Config.Builderupdate(Consumer<Http1Config.Builder> consumer) Update the builder in a fluent API way.Methods inherited from interface Prototype.Builder
selfModifier and TypeMethodDescriptiondefault Http1Config.Builderself()Instance of this builder as the correct type.
-
Method Details
-
buildPrototype
Create an instance of the prototype. Calling this method may update this builder from providers and decorators, so repeated calls may have side effects.- Specified by:
buildPrototypein interfacePrototype.Builder<Http1Config.Builder, Http1Config>- Returns:
- an instance of the setup object created from this builder
-
build
Create an instance from this builder. Calling this method may update this builder from providers and decorators, so repeated calls may have side effects.- Specified by:
buildin interfaceBuilder<Http1Config.Builder, Http1Config>- Returns:
- instance of the built type
-
HttpConfig.BuilderBase.log()